> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Prepare Paxos Withdraw

> Prepares Paxos withdrawal-queue approval and order transactions via the Amplify SDK.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/prepare-paxos-withdraw
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/prepare-paxos-withdraw:
    post:
      operationId: preparePaxosWithdraw
      summary: Prepare Paxos Withdraw
      description: >-
        Prepares Paxos withdrawal-queue approval and order transactions via the
        Amplify SDK.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PreparePaxosWithdrawRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreparePaxosWithdrawResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    PreparePaxosWithdrawRequest:
      type: object
      properties:
        withdrawAmount:
          type: string
          minLength: 1
          description: >-
            NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces
            it
        wantAsset:
          type: string
          pattern: ^0x[a-fA-F0-9]{40}$
        userAddress:
          type: string
          pattern: ^0x[a-fA-F0-9]{40}$
        chainId:
          const: 1
      required:
        - withdrawAmount
        - wantAsset
        - userAddress
        - chainId
    PreparePaxosWithdrawResponse:
      type: object
      properties:
        approvalTx:
          type: object
          properties:
            abi:
              type: array
              items: {}
            address:
              type: string
            functionName:
              type: string
            args:
              type: array
              items: {}
            chainId:
              type: number
          required:
            - abi
            - address
            - functionName
            - args
            - chainId
        withdrawTx:
          type: object
          properties:
            abi:
              type: array
              items: {}
            address:
              type: string
            functionName:
              type: string
            args:
              type: array
              items: {}
            chainId:
              type: number
          required:
            - abi
            - address
            - functionName
            - args
            - chainId
      required:
        - withdrawTx
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
